libogg documentation | libogg release 1.3.5 - 20210603

# ogg_page_granulepos

declared in "ogg/ogg.h";

Returns the exact granular position of the packet data contained at the end of this page.

This is useful for tracking location when seeking or decoding.

For example, in audio codecs this position is the pcm sample number and in video this is the frame number.

    ogg_int64_t ogg_page_granulepos(ogg_page *og);

### Parameters

og
  Pointer to the current ogg_page struct.

### Return Values

> - n is the specific last granular position of the decoded data contained in the page.

copyright © 2000-2021 Xiph.Org Foundation | Ogg Container Format
libogg documentation | libogg release 1.3.5 - 20210603